diff --git a/libr/asm/p/asm_x86_as.c b/libr/asm/p/asm_x86_as.c
index 534032a9694..4d4b3da4e44 100644
--- a/libr/asm/p/asm_x86_as.c
+++ b/libr/asm/p/asm_x86_as.c
@@ -26,7 +26,12 @@ static int assemble(RAsm *a, RAsmOp *op, const char *buf) {
 		return -1;
 	}
 
-	syntaxstr = ".intel_syntax noprefix\n"; // if intel syntax
+	if (a->syntax == R_ASM_SYNTAX_INTEL)
+		syntaxstr = ".intel_syntax noprefix\n";
+
+	if (a->syntax == R_ASM_SYNTAX_ATT)
+		syntaxstr = ".att_syntax\n";
+
 	len = snprintf (asm_buf, sizeof (asm_buf),
 			"%s.code%i\n" //.org 0x%"PFMT64x"\n"
 			".ascii \"BEGINMARK\"\n"
diff --git a/libr/core/config.c b/libr/core/config.c
index f52f41fd4a9..6d9bdd9f49e 100644
--- a/libr/core/config.c
+++ b/libr/core/config.c
@@ -837,7 +837,7 @@ static int cb_iobuffer(void *user, void *data) {
 static int cb_iocache(void *user, void *data) {
 	RCore *core = (RCore *) user;
 	RConfigNode *node = (RConfigNode *) data;
-	if (node->i_value<0) {
+	if ((int)node->i_value < 0) {
 		r_io_cache_reset (core->io, node->i_value);
 	}
 	r_io_cache_enable (core->io, node->i_value, node->i_value);
